      program test1
      implicit none
      include '/home/A11D/scott/avs/netcdf-3.4/src/fortran/netcdf.inc'
      integer nx,ny,nz
      parameter (ndims=3)
      parameter (nx=64,ny=64,nz=64)
      integer status, ncid
      integer rhid
      real*8   u(nx,ny,nz)
      integer  udim(3)
      integer nretdim
      integer unlimdimid
  
      status = nf_open('hydro.nc',0,ncid)
      if (status.ne.nf_noerr) call error('open',status)

      status = nf_inq(ncid,nretdim,nvars,ngatts,unlimdimid)
      if (status.ne.nf_noerr) call error('open',status)
      write(6,*) 'nretdim=',nretdim
      write(6,*) 'nvars=',nvars
      write(6,*) 'ngatts=',ngatts
      write(6,*) 'unlimdimid=',unlimdimid



      status = nf_close(ncid)
      if (status.ne.nf_noerr) call error('closing2',status)
      write(6,*) 'done'
      
      stop
      end

      subroutine error(name,status)
      implicit none
      character*(*) name
      integer status
      write(6,*) name,' ' ,status
      stop
      return
      end
